<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Exploring United Nations Migrant Stock Data With the <em>untools</em> Package • untools</title>
<!-- favicons --><link rel="icon" type="image/png" sizes="16x16" href="../favicon-16x16.png">
<link rel="icon" type="image/png" sizes="32x32" href="../favicon-32x32.png">
<link rel="apple-touch-icon" type="image/png" sizes="180x180" href="../apple-touch-icon.png">
<link rel="apple-touch-icon" type="image/png" sizes="120x120" href="../apple-touch-icon-120x120.png">
<link rel="apple-touch-icon" type="image/png" sizes="76x76" href="../apple-touch-icon-76x76.png">
<link rel="apple-touch-icon" type="image/png" sizes="60x60" href="../apple-touch-icon-60x60.png">
<!-- jquery --><script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script><!-- Bootstrap --><link href="https://cdnjs.cloudflare.com/ajax/libs/bootswatch/3.3.7/flatly/bootstrap.min.css" rel="stylesheet" crossorigin="anonymous">
<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha256-U5ZEeKfGNOja007MMD3YBI0A3OSZOQbeG6z2f2Y0hu8=" crossorigin="anonymous"></script><!-- Font Awesome icons --><link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" integrity="sha256-eZrrJcwDc/3uDhsdt61sL2oOBY362qM3lon1gyExkL0=" crossorigin="anonymous">
<!-- clipboard.js --><script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.4/clipboard.min.js" integrity="sha256-FiZwavyI2V6+EXO1U+xzLG3IKldpiTFf3153ea9zikQ=" crossorigin="anonymous"></script><!-- sticky kit --><script src="https://cdnjs.cloudflare.com/ajax/libs/sticky-kit/1.1.3/sticky-kit.min.js" integrity="sha256-c4Rlo1ZozqTPE2RLuvbusY3+SU1pQaJC0TjuhygMipw=" crossorigin="anonymous"></script><!-- pkgdown --><link href="../pkgdown.css" rel="stylesheet">
<script src="../pkgdown.js"></script><meta property="og:title" content="Exploring United Nations Migrant Stock Data With the &lt;em&gt;untools&lt;/em&gt; Package">
<meta property="og:description" content="">
<meta property="og:image" content="/logo.png">
<meta name="twitter:card" content="summary">
<!-- mathjax --><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/MathJax.js" integrity="sha256-nvJJv9wWKEm88qvoQl9ekL2J+k/RWIsaSScxxlsrv8k=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/config/TeX-AMS-MML_HTMLorMML.js" integrity="sha256-84DKXVJXs0/F8OTMzX4UR909+jtl4G7SPypPavF+GfA=" crossorigin="anonymous"></script><!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<![endif]-->
</head>
<body>
    <div class="container template-article">
      <header><div class="navbar navbar-default navbar-fixed-top" role="navigation">
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <span class="navbar-brand">
        <a class="navbar-link" href="../index.html">untools</a>
        <span class="version label label-default" data-toggle="tooltip" data-placement="bottom" title="Released version">0.1.0</span>
      </span>
    </div>

    <div id="navbar" class="navbar-collapse collapse">
      <ul class="nav navbar-nav">
<li>
  <a href="../index.html">
    <span class="fa fa-home fa-lg"></span>
     
  </a>
</li>
<li>
  <a href="../reference/index.html">Reference</a>
</li>
<li class="dropdown">
  <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
    Articles
     
    <span class="caret"></span>
  </a>
  <ul class="dropdown-menu" role="menu">
<li>
      <a href="../articles/explore-unhcr.html">Exploring United Nations Refugee &amp; Asylum Data With the *untools* Package</a>
    </li>
    <li>
      <a href="../articles/explore-unstocks.html">Exploring United Nations Migrant Stock Data With the *untools* Package</a>
    </li>
  </ul>
</li>
<li>
  <a href="../news/index.html">Changelog</a>
</li>
      </ul>
<ul class="nav navbar-nav navbar-right">
<li>
  <a href="https://gitlab.com/dante-sttr/untools">
    <span class="fa fa-gitlab fa-lg"></span>
     
  </a>
</li>
      </ul>
</div>
<!--/.nav-collapse -->
  </div>
<!--/.container -->
</div>
<!--/.navbar -->

      
      </header><div class="row">
  <div class="col-md-9 contents">
    <div class="page-header toc-ignore">
      <h1>Exploring United Nations Migrant Stock Data With the <em>untools</em> Package</h1>
                        <h4 class="author">Joshua Brinks</h4>
            
            <h4 class="date">2019-05-16</h4>
      
      
      <div class="hidden name"><code>explore-unstocks.Rmd</code></div>

    </div>

    
    
<hr>
<div id="introduction" class="section level1">
<h1 class="hasAnchor">
<a href="#introduction" class="anchor"></a>Introduction</h1>
<p><img src="logo.png" align="right" height="125"></p>
<p>In addition to the <a href="http://popstats.unhcr.org/en/overview">Population Statistics</a>, the United Nations provides additional data sets detailing international migrant statistics through the <a href="http://www.un.org/en/development/desa/population/">Department of Economic and Social Affairs: Population Division</a>. The most widely used dataset is the <a href="https://www.un.org/en/development/desa/population/migration/data/estimates2/estimates17.shtml">International Migrant Stock</a>. This data is featured in several recent academic papers; one of the more prominent examples is Guy Abel’s <em>Quantifying Global International Migration Flows</em> <span class="citation">(Abel and Sander 2014)</span>. The most recent version is entitled the <em>The 2017 Revision</em>, and is available by total international migrant stocks, by age and sex, and by destination and origin. For this vignette we will focus on the destination and origin version.</p>
</div>
<div id="acquiring-the-data" class="section level1">
<h1 class="hasAnchor">
<a href="#acquiring-the-data" class="anchor"></a>Acquiring the Data</h1>
<p>The <em>International Migrant Stock: 2017 Revision by Destination and Origin Country</em> is available by direct download link <a href="https://www.un.org/en/development/desa/population/migration/data/estimates2/data/UN_MigrantStockByOriginAndDestination_2017.xlsx">here</a>. Unlike the UNHCR Population Statistics time series data featured in our <em>Exploring United Nations Refugee &amp; Asylum Data With the untools Package</em> vignette, the migrant stock data is not analysis-ready. The data is organized for viewability in complex Microsoft Excel spreadsheets. The data is organized in matrices with multiple aggregations listed together, complex headers, and spread across several tabs:</p>
<div class="figure">
<img src="migrant_stock_ss.PNG" alt="Screen shot containing UN Migrant Stock data. Large headers, offset matrices, multiple aggregations, multiple tabs…"><p class="caption">Screen shot containing UN Migrant Stock data. Large headers, offset matrices, multiple aggregations, multiple tabs…</p>
</div>
</div>
<div id="the-getunstock17-function" class="section level1">
<h1 class="hasAnchor">
<a href="#the-getunstock17-function" class="anchor"></a>The <code><a href="../reference/getunstock17.html">getunstock17()</a></code> Function</h1>
<p>The <em>untools</em> package can streamline the acquisition and processing of UN migrant stock data using the <code><a href="../reference/getunstock17.html">getunstock17()</a></code> function. The <code><a href="../reference/getunstock17.html">getunstock17()</a></code> function will automatically retrieve the dataset over http, remove aggregations above the national level, remove unnecessary columns for analysis, introduce ISO country codes, and melt the matrix into long form.</p>
<div class="sourceCode" id="cb1"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb1-1" data-line-number="1">stocks&lt;-<span class="kw"><a href="../reference/getunstock17.html">getunstock17</a></span>()</a></code></pre></div>
<table class="table">
<thead><tr>
<th style="text-align:left;">
host_iso
</th>
<th style="text-align:left;">
stock_iso
</th>
<th style="text-align:right;">
year
</th>
<th style="text-align:right;">
value
</th>
<th style="text-align:left;">
host
</th>
<th style="text-align:left;">
stock
</th>
</tr></thead>
<tbody>
<tr>
<td style="text-align:left;">
ALB
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:right;">
1990
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:left;">
Albania
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
<tr>
<td style="text-align:left;">
ALB
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:right;">
1995
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:left;">
Albania
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
<tr>
<td style="text-align:left;">
ALB
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:right;">
2000
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:left;">
Albania
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
<tr>
<td style="text-align:left;">
ALB
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:right;">
2005
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:left;">
Albania
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
<tr>
<td style="text-align:left;">
ALB
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:right;">
2010
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:left;">
Albania
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
<tr>
<td style="text-align:left;">
ALB
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:right;">
2015
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:left;">
Albania
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
<tr>
<td style="text-align:left;">
ALB
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:right;">
2017
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:left;">
Albania
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
<tr>
<td style="text-align:left;">
DZA
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:right;">
1990
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:left;">
Algeria
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
<tr>
<td style="text-align:left;">
DZA
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:right;">
1995
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:left;">
Algeria
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
<tr>
<td style="text-align:left;">
DZA
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:right;">
2000
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:left;">
Algeria
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
</tbody>
</table>
<p>Additionally, the <code><a href="../reference/getunstock17.html">getunstock17()</a></code> function provides arguments to return the data in wide form <code>wide = TRUE</code>, and filter data by year with <code>range = c(2000, 2017)</code>. Migrant stock data is available in 5 year intervals plus the year of revision (2017) starting from 1990. By default the <code><a href="../reference/getunstock17.html">getunstock17()</a></code> function includes all data. Viewing data in wide format can be convenient for viewing time series data outside of a figure. Because the <code><a href="../reference/getunstock17.html">getunstock17()</a></code> function automatically retrieves the Excel spreadsheet from the UN server, it’s advisable to acquire the data using the default settings and perform additional subsetting or casting into wide format using base R, <em>dplyr</em>, <em>data.table</em>, and <em>reshape2</em>. If you don’t have internet connectivity or already have the Excel spreadsheet in your home directory you can utilise the <code><a href="../reference/prepunstock17.html">prepunstock17()</a></code> function. This will scan the home directory for the Excel file delivered by the United Nations website and process the file as described above.</p>
<div class="sourceCode" id="cb2"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb2-1" data-line-number="1">stocks&lt;-<span class="kw"><a href="../reference/prepunstock17.html">prepunstock17</a></span>()</a></code></pre></div>
</div>
<div id="visualizing-un-stock-data" class="section level1">
<h1 class="hasAnchor">
<a href="#visualizing-un-stock-data" class="anchor"></a>Visualizing UN Stock Data</h1>
<p>The <code>untools</code> package provides several default plotting function designed to create modern visualizations for static or time series UN migrant stock data. By default <code>untools</code> will plot a time series of migrant stocks for the 5 greatest populations in the final year. For convenience, the <code><a href="https://www.rdocumentation.org/packages/graphics/topics/plot">plot()</a></code> function will automatically adjust the color palette, title, and subtitle based on the chosen country and the number of positive stock populations for the given time period. With no additional arguments the default plotting function will produce a time series of the top 5 stock populations in 2017 for the United States:</p>
<div class="sourceCode" id="cb3"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb3-1" data-line-number="1"></a>
<a class="sourceLine" id="cb3-2" data-line-number="2">usa.stocks&lt;-<span class="kw"><a href="https://www.rdocumentation.org/packages/graphics/topics/plot">plot</a></span>(stocks)</a></code></pre></div>
<p><img src="explore-unstocks_files/figure-html/unnamed-chunk-6-1.png" width="700"></p>
<p>You can specify additional countries using the <code>country =</code> argument. Lets view stock populations in Russia.</p>
<div class="sourceCode" id="cb4"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb4-1" data-line-number="1">rus.stocks&lt;-<span class="kw"><a href="https://www.rdocumentation.org/packages/graphics/topics/plot">plot</a></span>(stocks, <span class="dt">country =</span> <span class="st">'RUS'</span>)</a></code></pre></div>
<p><img src="explore-unstocks_files/figure-html/unnamed-chunk-7-1.png" width="700"></p>
<p>Lastly, you can view a static barplot for a given year using the <code>mode = 'static</code> and <code>yr =</code> arguments. Let’s plot the top stock population in Italy during 2005.</p>
<div class="sourceCode" id="cb5"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb5-1" data-line-number="1">ita.static.stocks&lt;-<span class="kw"><a href="https://www.rdocumentation.org/packages/graphics/topics/plot">plot</a></span>(stocks, <span class="dt">country =</span> <span class="st">'ITA'</span>, <span class="dt">mode =</span> <span class="st">'static'</span>, <span class="dt">yr=</span><span class="dv">2005</span>)</a></code></pre></div>
<p><img src="explore-unstocks_files/figure-html/unnamed-chunk-8-1.png" width="700"></p>
</div>
<div id="references" class="section level1 unnumbered">
<h1 class="hasAnchor">
<a href="#references" class="anchor"></a>References</h1>
<div id="refs" class="references">
<div id="ref-Abel2014">
<p>Abel, Guy J., and Nikola Sander. 2014. “Quantifying Global International Migration Flows.” <em>Science</em> 343 (6178): 1520–2. <a href="https://doi.org/10.1126/science.1248676">https://doi.org/10.1126/science.1248676</a>.</p>
</div>
</div>
</div>
  </div>

  <div class="col-md-3 hidden-xs hidden-sm" id="sidebar">
        <div id="tocnav">
      <h2 class="hasAnchor">
<a href="#tocnav" class="anchor"></a>Contents</h2>
      <ul class="nav nav-pills nav-stacked">
<li><a href="#introduction">Introduction</a></li>
      <li><a href="#acquiring-the-data">Acquiring the Data</a></li>
      <li><a href="#the-getunstock17-function">The <code><a href="--/reference/getunstock17-html">getunstock17()</a></code> Function</a></li>
      <li><a href="#visualizing-un-stock-data">Visualizing UN Stock Data</a></li>
      <li><a href="#references">References</a></li>
      </ul>
</div>
      </div>

</div>


      <footer><div class="copyright">
  <p>Developed by Joshua Brinks.</p>
</div>

<div class="pkgdown">
  <p>Site built with <a href="https://pkgdown.r-lib.org/">pkgdown</a> 1.3.0.</p>
</div>
      </footer>
</div>

  

  </body>
</html>
